%--------------------------------------------------------------------------
%--------------------------------------------------------------------------
%This is the software to make the images for article

%Requirements:
%   -change path into the path to your folder
%   -make sure the data are in the data folder
%   -make sure there is an image folder to save the images to
%--------------------------------------------------------------------------
%--------------------------------------------------------------------------

clc;
clear;
close all;

path = 'N:\tnw\NS\kuiperslab\Irina\writing_articles\article_flowers\open_data\';

datapath = strcat(path,'data\');
figurepath=strcat(path,'images\');

%%
%This software does the following:
%   -import information of fitted Raman spectra at different temperatures
%   -determine the Raman intensity of the pixels associated with the flower
%   marked in red in Figure 1a,c at every temperature between 4K and 300K
%   -plot subfigures 4c, 4d and the inset of 4c

%%
%Import all the fitted spectra and the results of the fit

name{1} = 'Info_1702_flowers_fits'; place{1} = 1;
name{2} = name{1}; place{2} = 2;
name{3} = name{1}; place{3} = 3;
name{4} = name{1}; place{4} = 4;
name{5} = 'Info_1802_flowers_fits'; place{5} = 1;
name{6} = name{5}; place{6} = 2;
name{7} = 'Info_1902_flowers_fits'; place{7} = 1;
name{8} = name{7}; place{8} = 2;
name{9} = 'Info_2202_flowers_fits'; place{9} = 1;
name{10} = name{9}; place{10} = 2;
name{11} = 'Info_2302_flowers_fits'; place{11} = 1;
name{12} = name{11}; place{12} = 2;
name{13} = 'Info_2402_flowers_fits'; place{13} = 1;

for ii = 1:13
    info_flowers595{ii} = load(strcat(datapath,name{ii},'.mat'));
    temperature(ii) = str2num(extractBefore(info_flowers595{ii}.temperature{place{ii}},'K'));
    exposuretime{ii} = info_flowers595{ii}.exposuretime{place{ii}};
    accumulations{ii} = info_flowers595{ii}.accumulations{place{ii}};
    time(ii) = str2num(extractBefore(exposuretime{ii},'s'))*accumulations{ii}
    Peak_maxima{ii} = info_flowers595{ii}.Maxima_Lorentz_595{place{ii}};
end

%%
%Import all the fitted spectra and the results of the fit 
% (561nm excitation)

name{14} = 'Info_1109_flowers_fits'; place{14} = 2;
name{15} = 'Info_1709_flowers_fits'; place{15} = 1;
name{16} = 'Info_2309_flowers_fits'; place{16} = 2;
name{17} = 'Info_2710_flowers_fits'; place{17} = 1;

count = 1;
for ii = 14:17
    info_flowers561{count} = load(strcat(datapath,name{ii},'.mat'));
    exposuretime561{count} = info_flowers561{count}.exposuretime{place{ii}};
    accumulations561{count} = info_flowers561{count}.accumulations{place{ii}};
    time561(count) = str2num(extractBefore(exposuretime561{count},'s'))*accumulations561{count}
    if place{ii} > 1
        Peak_maxima561{count} = info_flowers561{count}.Maxima_Lorentz_561{place{ii}};
    else
        Peak_maxima561{count} = info_flowers561{count}.Maxima_Lorentz_561;
    end
    count = count+1;
end

temperature561 = [4 100 200 300];

%%
%Determine the position of a few specifc pixels of the flower marked in red in Fig.1a,c at 4K
%We start with the data acquired with the 595nm excitation
number = 1; red_spec = {}; Red_flower_spec = [];

red_spec{1,1} = 17; red_spec{1,2} = 12;
red_spec{2,1} = 16; red_spec{2,2} = 14;
red_spec{3,1} = 17; red_spec{3,2} = 15;

for ii = 1:length(red_spec)
    Red_flower_spec(number,ii) = Peak_maxima{number}(1,red_spec{ii,1},red_spec{ii,2})/time(number);
    Red_flower_spec2(number,ii) = Peak_maxima{number}(2,red_spec{ii,1},red_spec{ii,2})/time(number);
end

%%
%Determine the position of all pixels of the red flower at 4K
red = {}; Red_flower{number} = [];

for ii = 1:5
    red{ii,1} = ii+13;
    red{ii,2} = 12
end

for ii = 6:12
    red{ii,1} = ii+8;
    red{ii,2} = 13
end

for ii = 13:16
    red{ii,1} = ii+1;
    red{ii,2} = 14
end

for ii = 17:21
    red{ii,1} = ii-2;
    red{ii,2} = 15
end

red{22,1} = 20; red{22,2} = 14

for ii = 1:length(red)
    for jj = 1:8
        Red_flower{number}(jj,ii) = Peak_maxima{number}(jj,red{ii,1},red{ii,2})/time(number);      
    end
end


%%
%Determine the position of a few specifc pixels of the red flower at 25K
number = 2; red_spec = {};

red_spec{1,1} = 12; red_spec{1,2} = 11;
red_spec{2,1} = 11; red_spec{2,2} = 12;
red_spec{3,1} = 12; red_spec{3,2} = 13;

for ii = 1:length(red_spec)
    Red_flower_spec(number,ii) = Peak_maxima{number}(1,red_spec{ii,1},red_spec{ii,2})/time(number);
    Red_flower_spec2(number,ii) = Peak_maxima{number}(2,red_spec{ii,1},red_spec{ii,2})/time(number);  
end

%%
%Determine the position of all pixels of the red flower at 25K
red = {}; Red_flower{number} = [];

for ii = 1:5
    red{ii,1} = ii+8;
    red{ii,2} = 11
end

for ii = 6:7
    red{ii,1} = ii+4;
    red{ii,2} = 12
end

for ii = 8:9
    red{ii,1} = ii+5;
    red{ii,2} = 12
end

for ii = 10:12
    red{ii,1} = ii+1;
    red{ii,2} = 13
end

for ii = 1:length(red)
    for jj = 1:8
        Red_flower{number}(jj,ii) = Peak_maxima{number}(jj,red{ii,1},red{ii,2})/time(number);      
    end
end

%%
%Determine the position of a few specifc pixels of the red flower at 50K
number = 3; red_spec = {};

red_spec{1,1} = 8; red_spec{1,2} = 6;
red_spec{2,1} = 7; red_spec{2,2} = 7;
red_spec{3,1} = 8; red_spec{3,2} = 8;

for ii = 1:length(red_spec)
    Red_flower_spec(number,ii) = Peak_maxima{number}(1,red_spec{ii,1},red_spec{ii,2})/time(number);
    Red_flower_spec2(number,ii) = Peak_maxima{number}(2,red_spec{ii,1},red_spec{ii,2})/time(number);   
end

%%
%Determine the position of all pixels of the red flower at 50K
red = {}; Red_flower{number} = [];

for ii = 1:3
    red{ii,1} = ii+6;
    red{ii,2} = 6
end

for ii = 4:6
    red{ii,1} = ii+2;
    red{ii,2} = 7
end

for ii = 7:9
    red{ii,1} = ii;
    red{ii,2} = 8
end

red{10,1} = 10; red{10,2} = 7

for ii = 1:length(red)
    for jj = 1:8
        Red_flower{number}(jj,ii) = Peak_maxima{number}(jj,red{ii,1},red{ii,2})/time(number);      
    end
end

%%
%Determine the position of a few specifc pixels of the red flower at 75K
number = 4; red_spec = {};

red_spec{1,1} = 22; red_spec{1,2} = 10;
red_spec{2,1} = 20; red_spec{2,2} = 11;
red_spec{3,1} = 21; red_spec{3,2} = 12;

for ii = 1:length(red_spec)
    Red_flower_spec(number,ii) = Peak_maxima{number}(1,red_spec{ii,1},red_spec{ii,2})/time(number);
    Red_flower_spec2(number,ii) = Peak_maxima{number}(2,red_spec{ii,1},red_spec{ii,2})/time(number);    
end

%%
%Determine the position of all pixels of the red flower at 75K
red = {}; Red_flower{number} = [];

for ii = 1:4
    red{ii,1} = ii+19;
    red{ii,2} = 9
end

for ii = 5:11
    red{ii,1} = ii+13;
    red{ii,2} = 10
end

for ii = 12:15
    red{ii,1} = ii+6;
    red{ii,2} = 11
end

for ii = 16:19
    red{ii,1} = ii+3;
    red{ii,2} = 12
end

for ii = 20:22
    red{ii,1} = ii;
    red{ii,2} = 13
end

for ii = 1:length(red)
    for jj = 1:8
        Red_flower{number}(jj,ii) = Peak_maxima{number}(jj,red{ii,1},red{ii,2})/time(number);      
    end
end

%%
%Determine the position of a few specifc pixels of the red flower at 100K
number = 5; red_spec = {};

red_spec{1,1} = 16; red_spec{1,2} = 11;
red_spec{2,1} = 13; red_spec{2,2} = 12;
red_spec{3,1} = 15; red_spec{3,2} = 14;

for ii = 1:length(red_spec)
    Red_flower_spec(number,ii) = Peak_maxima{number}(1,red_spec{ii,1},red_spec{ii,2})/time(number);
    Red_flower_spec2(number,ii) = Peak_maxima{number}(2,red_spec{ii,1},red_spec{ii,2})/time(number);    
end

%%
%Determine the position of all pixels of the red flower at 100K
red = {}; Red_flower{number} = [];

for ii = 1:5
    red{ii,1} = ii+12;
    red{ii,2} = 11
end

for ii = 6:12
    red{ii,1} = ii+6;
    red{ii,2} = 12
end

for ii = 13:15
    red{ii,1} = ii;
    red{ii,2} = 13
end

for ii = 16:19
    red{ii,1} = ii-2;
    red{ii,2} = 14
end

for ii = 1:length(red)
    for jj = 1:8
        Red_flower{number}(jj,ii) = Peak_maxima{number}(jj,red{ii,1},red{ii,2})/time(number);      
    end
end

%%
%Determine the position of a few specifc pixels of the red flower at 125K
number = 6; red_spec = {};

red_spec{1,1} = 20; red_spec{1,2} = 14;
red_spec{2,1} = 19; red_spec{2,2} = 15;
red_spec{3,1} = 20; red_spec{3,2} = 16;

for ii = 1:length(red_spec)
    Red_flower_spec(number,ii) = Peak_maxima{number}(1,red_spec{ii,1},red_spec{ii,2})/time(number);
    Red_flower_spec2(number,ii) = Peak_maxima{number}(2,red_spec{ii,1},red_spec{ii,2})/time(number);  
end

%%
%Determine the position of all pixels of the red flower at 125K
red = {}; Red_flower{number} = [];

for ii = 1:5
    red{ii,1} = ii+17;
    red{ii,2} = 14
end

for ii = 6:8
    red{ii,1} = ii+12;
    red{ii,2} = 15
end

for ii = 9:12
    red{ii,1} = ii+9;
    red{ii,2} = 16
end

red{12,1} = 21; red{12,2} = 17;
red{13,1} = 22; red{13,2} = 15

for ii = 1:length(red)
    for jj = 1:8
        Red_flower{number}(jj,ii) = Peak_maxima{number}(jj,red{ii,1},red{ii,2})/time(number);      
    end
end

%%
%Determine the position of a few specifc pixels of the red flower at 150K
number = 7; red_spec = {};

red_spec{1,1} = 10; red_spec{1,2} = 9;
red_spec{2,1} = 8; red_spec{2,2} = 10;
red_spec{3,1} = 9; red_spec{3,2} = 11;

for ii = 1:length(red_spec)
    Red_flower_spec(number,ii) = Peak_maxima{number}(1,red_spec{ii,1},red_spec{ii,2})/time(number);
    Red_flower_spec2(number,ii) = Peak_maxima{number}(2,red_spec{ii,1},red_spec{ii,2})/time(number);
end

%%
%Determine the position of all pixels of the red flower at 150K
red = {}; Red_flower{number} = [];

for ii = 1:5
    red{ii,1} = ii+6;
    red{ii,2} = 9
end

for ii = 6:11
    red{ii,1} = ii+1;
    red{ii,2} = 10
end

for ii = 12:14
    red{ii,1} = ii-4;
    red{ii,2} = 11
end

for ii = 15:17
    red{ii,1} = ii-5;
    red{ii,2} = 12
end

for ii = 1:length(red)
    for jj = 1:8
        Red_flower{number}(jj,ii) = Peak_maxima{number}(jj,red{ii,1},red{ii,2})/time(number);       
    end
end

%%
%Determine the position of a few specifc pixels of the red flower at 175K
number = 8; red_spec = {};

red_spec{1,1} = 14; red_spec{1,2} = 13;
red_spec{2,1} = 13; red_spec{2,2} = 14;
red_spec{3,1} = 13; red_spec{3,2} = 15;

for ii = 1:length(red_spec)
    Red_flower_spec(number,ii) = Peak_maxima{number}(1,red_spec{ii,1},red_spec{ii,2})/time(number);
    Red_flower_spec2(number,ii) = Peak_maxima{number}(2,red_spec{ii,1},red_spec{ii,2})/time(number); 
end

%%
%Determine the position of all pixels of the red flower at 175K
red = {}; Red_flower{number} = [];

for ii = 1:4
    red{ii,1} = ii+11;
    red{ii,2} = 13
end

for ii = 5:10
    red{ii,1} = ii+6;
    red{ii,2} = 14
end

for ii = 11:14
    red{ii,1} = ii+1;
    red{ii,2} = 15
end

for ii = 1:length(red)
    for jj = 1:8
        Red_flower{number}(jj,ii) = Peak_maxima{number}(jj,red{ii,1},red{ii,2})/time(number);      
    end
end

%%
%Determine the position of a few specifc pixels of the red flower at 200K
number = 9; red_spec = {};

red_spec{1,1} = 15; red_spec{1,2} = 11;
red_spec{2,1} = 13; red_spec{2,2} = 12;
red_spec{3,1} = 14; red_spec{3,2} = 13;

for ii = 1:length(red_spec)
    Red_flower_spec(number,ii) = Peak_maxima{number}(1,red_spec{ii,1},red_spec{ii,2})/time(number);
    Red_flower_spec2(number,ii) = Peak_maxima{number}(2,red_spec{ii,1},red_spec{ii,2})/time(number); 
end

%%
%Determine the position of all pixels of the red flower at 200K
red = {}; Red_flower{number} = [];

for ii = 1:4
    red{ii,1} = ii+12;
    red{ii,2} = 11
end

for ii = 5:10
    red{ii,1} = ii+7;
    red{ii,2} = 12
end

for ii = 11:13
    red{ii,1} = ii+2;
    red{ii,2} = 13
end

for ii = 14:16
    red{ii,1} = ii;
    red{ii,2} = 14
end

for ii = 1:length(red)
    for jj = 1:8
        Red_flower{number}(jj,ii) = Peak_maxima{number}(jj,red{ii,1},red{ii,2})/time(number);    
    end
end

%%
%Determine the position of a few specifc pixels of the red flower at 225K
number = 10; red_spec = {};

red_spec{1,1} = 8; red_spec{1,2} = 10;
red_spec{2,1} = 6; red_spec{2,2} = 11;
red_spec{3,1} = 7; red_spec{3,2} = 12;

for ii = 1:length(red_spec)
    Red_flower_spec(number,ii) = Peak_maxima{number}(1,red_spec{ii,1},red_spec{ii,2})/time(number);
    Red_flower_spec2(number,ii) = Peak_maxima{number}(2,red_spec{ii,1},red_spec{ii,2})/time(number); 
end

%%
%Determine the position of all pixels of the red flower at 225K
red = {}; Red_flower{number} = [];

for ii = 1:5
    red{ii,1} = ii+4;
    red{ii,2} = 10
end

for ii = 6:8
    red{ii,1} = ii-1;
    red{ii,2} = 11
end

for ii = 9:12
    red{ii,1} = ii-3;
    red{ii,2} = 12
end

red{13,1} = 10; red{13,2} = 11

for ii = 1:length(red)
    for jj = 1:8
        Red_flower{number}(jj,ii) = Peak_maxima{number}(jj,red{ii,1},red{ii,2})/time(number);       
    end
end

%%
%Determine the position of a few specifc pixels of the red flower at 250K
number = 11; red_spec = {};

red_spec{1,1} = 13; red_spec{1,2} = 9;
red_spec{2,1} = 11; red_spec{2,2} = 10;
red_spec{3,1} = 12; red_spec{3,2} = 11;

for ii = 1:length(red_spec)
    Red_flower_spec(number,ii) = Peak_maxima{number}(1,red_spec{ii,1},red_spec{ii,2})/time(number);
    Red_flower_spec2(number,ii) = Peak_maxima{number}(2,red_spec{ii,1},red_spec{ii,2})/time(number);  
end

%%
%Determine the position of all pixels of the red flower at 250K
red = {}; Red_flower{number} = [];

for ii = 1:5
    red{ii,1} = ii+9;
    red{ii,2} = 9
end
 
for ii = 6:8
    red{ii,1} = ii+4;
    red{ii,2} = 10
end

for ii = 9:11
    red{ii,1} = ii+2;
    red{ii,2} = 11
end

for ii = 1:length(red)
    for jj = 1:8
        Red_flower{number}(jj,ii) = Peak_maxima{number}(jj,red{ii,1},red{ii,2})/time(number);        
    end
end

%%
%Determine the position of a few specifc pixels of the red flower at 275K
number = 12; red_spec = {};

red_spec{1,1} = 14; red_spec{1,2} = 12;
red_spec{2,1} = 13; red_spec{2,2} = 13;
red_spec{3,1} = 13; red_spec{3,2} = 13;

for ii = 1:length(red_spec)
    Red_flower_spec(number,ii) = Peak_maxima{number}(1,red_spec{ii,1},red_spec{ii,2})/time(number);
    Red_flower_spec2(number,ii) = Peak_maxima{number}(2,red_spec{ii,1},red_spec{ii,2})/time(number);   
end

%%
%Determine the position of all pixels of the red flower at 275K
red = {}; Red_flower{number} = [];

for ii = 1:2
    red{ii,1} = ii+12;
    red{ii,2} = 12
end
 
for ii = 3:6
    red{ii,1} = ii+9;
    red{ii,2} = 13
end

for ii = 7:9
    red{ii,1} = ii+6;
    red{ii,2} = 14
end

for ii = 1:length(red)
    for jj = 1:8
        Red_flower{number}(jj,ii) = Peak_maxima{number}(jj,red{ii,1},red{ii,2})/time(number);        
    end
end

%%
%Determine the position of a few specifc pixels of the red flower at 300K
number = 13; red_spec = {};

red_spec{1,1} = 17; red_spec{1,2} = 14;
red_spec{2,1} = 16; red_spec{2,2} = 15;
red_spec{3,1} = 17; red_spec{3,2} = 16;

for ii = 1:length(red_spec)
    Red_flower_spec(number,ii) = Peak_maxima{number}(1,red_spec{ii,1},red_spec{ii,2})/time(number);
    Red_flower_spec2(number,ii) = Peak_maxima{number}(2,red_spec{ii,1},red_spec{ii,2})/time(number);  
end

%%
%Determine the position of all pixels of the red flower at 300K
red = {}; Red_flower{number} = [];

for ii = 1:4
    red{ii,1} = ii+14;
    red{ii,2} = 13
end
 
for ii = 5:10
    red{ii,1} = ii+10;
    red{ii,2} = 14
end

for ii = 11:13
    red{ii,1} = ii+4;
    red{ii,2} = 15
end

for ii = 14:17
    red{ii,1} = ii+2;
    red{ii,2} = 16
end

red{18,1} = 20; red{18,2} = 15

for ii = 1:length(red)
    for jj = 1:8
        Red_flower{number}(jj,ii) = Peak_maxima{number}(jj,red{ii,1},red{ii,2})/time(number);     
    end
end

%%
%Now we continue with the data acquired with the 561nm excitation
%Determine the position of a few specifc pixels of the flower marked in red in Fig.1a,c at 4K
number = 1; red_spec561 = {};

red_spec561{1,1} = 19; red_spec561{1,2} = 3;
red_spec561{2,1} = 20; red_spec561{2,2} = 4;
 
for ii = 1:length(red_spec561)
    Red_flower561_spec(number,ii) = Peak_maxima561{number}(1,red_spec561{ii,1},red_spec561{ii,2})/time561(number);
    Red_flower561_spec2(number,ii) = Peak_maxima561{number}(2,red_spec561{ii,1},red_spec561{ii,2})/time561(number);
end

%%
%Determine the position of all pixels of the red flower at 4K with a 561nm
%excitation
number = 1; red = {}; Red_flower561{number} = [];

for ii = 1:6
    red{ii,1} = ii+16;
    red{ii,2} = 1
end

for ii = 7:13
    red{ii,1} = ii+10;
    red{ii,2} = 2
end

for ii = 14:17
    red{ii,1} = ii+3;
    red{ii,2} = 3
end

for ii = 18:21
    red{ii,1} = ii;
    red{ii,2} = 4
end

for ii = 22:24
    red{ii,1} = ii-2;
    red{ii,2} = 5
end

for ii = 25:26
    red{ii,1} = ii-3;
    red{ii,2} = 3
end

for ii = 1:length(red)
    for jj = 1:10
        Red_flower561{number}(jj,ii) = Peak_maxima561{number}(jj,red{ii,1},red{ii,2})/time561(number);
    end
end


%%
%Determine the position of a few specifc pixels of the red flower at 100K
%with a 561nm excitation
number = 2;

red_spec561{1,1} = 16; red_spec561{1,2} = 2;
red_spec561{2,1} = 17; red_spec561{2,2} = 3;
 
for ii = 1:length(red_spec561)
    Red_flower561_spec(number,ii) = Peak_maxima561{number}(1,red_spec561{ii,1},red_spec561{ii,2})/time561(number);
    Red_flower561_spec2(number,ii) = Peak_maxima561{number}(2,red_spec561{ii,1},red_spec561{ii,2})/time561(number);     
end

%%
%Determine the position of all pixels of the red flower at 100K with a 561nm
%excitation
number = 2; red = {}; Red_flower561{number} = [];

for ii = 1:4
    red{ii,1} = ii+14;
    red{ii,2} = 1
end

for ii = 5:11
    red{ii,1} = ii+9;
    red{ii,2} = 2
end

for ii = 12:15
    red{ii,1} = ii+2;
    red{ii,2} = 3
end
    
for ii = 16:20
    red{ii,1} = ii-1;
    red{ii,2} = 4
end

red{21,1} = 18; red{21,2} = 5;

for ii = 1:length(red)
    for jj = 1:10
        Red_flower561{number}(jj,ii) = Peak_maxima561{number}(jj,red{ii,1},red{ii,2})/time561(number);
    end
end

%%
%Determine the position of a few specifc pixels of the red flower at 200K
%with a 561nm excitation

number = 3;

red_spec561{1,1} = 12; red_spec561{1,2} = 8;
red_spec561{2,1} = 13; red_spec561{2,2} = 9;
 
for ii = 1:length(red_spec561)
    Red_flower561_spec(number,ii) = Peak_maxima561{number}(1,red_spec561{ii,1},red_spec561{ii,2})/time561(number);
    Red_flower561_spec2(number,ii) = Peak_maxima561{number}(2,red_spec561{ii,1},red_spec561{ii,2})/time561(number);     
end

%%
%Determine the position of all pixels of the red flower at 200K with a 561nm
%excitation
number = 3; red = {}; Red_flower561{number} = [];

for ii = 1:5
    red{ii,1} = ii+10;
    red{ii,2} = 7
end

for ii = 6:8
    red{ii,1} = ii+5;
    red{ii,2} = 8
end

for ii = 9:12
    red{ii,1} = ii+3;
    red{ii,2} = 9
end
 
red{13,1} = 15; red{13,2} = 8

for ii = 1:length(red)
    for jj = 1:10
        Red_flower561{number}(jj,ii) = Peak_maxima561{number}(jj,red{ii,1},red{ii,2})/time561(number);
    end
end

%%
%Determine the position of a few specifc pixels of the red flower at 300K
%with a 561nm excitation
number = 4;

red_spec561{1,1} = 25; red_spec561{1,2} = 11;
red_spec561{2,1} = 26; red_spec561{2,2} = 12;
 
for ii = 1:length(red_spec561)
    Red_flower561_spec(number,ii) = Peak_maxima561{number}(1,red_spec561{ii,1},red_spec561{ii,2})/time561(number);
    Red_flower561_spec2(number,ii) = Peak_maxima561{number}(2,red_spec561{ii,1},red_spec561{ii,2})/time561(number);  
end

%%
%Determine the position of all pixels of the red flower at 300K with a 561nm
%excitation
number = 4; red = {}; Red_flower561{number} = [];

for ii = 1:5
    red{ii,1} = ii+23;
    red{ii,2} = 10
end

for ii = 6:11
    red{ii,1} = ii+18;
    red{ii,2} = 11
end

for ii = 12:15
    red{ii,1} = ii+12;
    red{ii,2} = 12
end

for ii = 16:18
    red{ii,1} = ii+10;
    red{ii,2} = 13
end

for ii = 1:length(red)
    for jj = 1:10
        Red_flower561{number}(jj,ii) = Peak_maxima561{number}(jj,red{ii,1},red{ii,2})/time561(number);
    end
end

%%
%--------------------------------------------------------
%Time to plot all the determined Raman intensities as a function of
%temperature
%--------------------------------------------------------

%Plot the inset of Figure 4c

fg8 = figure(8); clf(fg8); set(gcf,'Color','w');

for ii = 1:13
    plot(temperature(ii),Red_flower{ii}(1,:),'p','color',[1 0.5 0],'MarkerFaceColor',[1 0.5 0])
    hold on
end
hold on
for ii = 1:4
    pl3=plot(temperature561(ii),Red_flower561{ii}(1,:),'o','color',[0 0.8 0],'MarkerFaceColor',[0 0.8 0]);
    hold on
end
plot(temperature, Red_flower_spec(:,1:3),'color',[1 0.5 0])
hold on
plot(temperature561, Red_flower561_spec(:,1:2),'color',[0 0.8 0])
hold off

xlabel('Temperature (K)')
ylabel('Intensity (counts/s)')

print(fg8,strcat(figurepath,'insetFigure4c.png'),'-dpng');

%%
%Plot Figure 4c

exciton = [614,614.2,614.5,614.8,615,616,617,619,620,622,625,630,630];
exciton561 = [614.5,615,620,630];

distance595 = exciton - 595;
distance561 = exciton561 - 561;

fg6 = figure(6); clf(fg6);  set(gcf,'Color','w');

for ii = 1:length(Red_flower)
   pl=plot(distance595(ii),Red_flower{ii}(1,:),'p','color',[1 0.5 0],'MarkerFaceColor',[1 0.5 0]);
   hold on
end

for ii = 1:length(Red_flower561)
   plot(distance561(ii),Red_flower561{ii}(1,:),'o','color',[0 0.8 0],'MarkerSize',10,'MarkerFaceColor',[0 0.8 0]);
   hold on
end

plot(distance595, Red_flower_spec(:,1:3),'color',[1 0.5 0])
hold on
plot(distance561, Red_flower561_spec(:,1:2),'color',[0 0.8 0])

xlabel('\lambda_{transition} - \lambda_{excitation} (nm)')
ylabel('Intensity (counts/s)')

xlim([15 70])

print(fg6,strcat(figurepath,'Figure4c.png'),'-dpng');

%%
%Plot Figure 4d

fg3 = figure(3); clf(fg3);  set(gcf,'Color','w');
for ii = 1:length(Red_flower)
    pl1=plot(temperature(ii),Red_flower{ii}(1,:)./Red_flower{ii}(2,:),'p','color',[1 0.5 0],'MarkerFaceColor',[1 0.5 0]);
    hold on
end
for ii = 1:length(Red_flower561)
    pl2=plot(temperature561(ii),Red_flower561{ii}(1,:)./Red_flower561{ii}(2,:),'o','color',[0 0.8 0],'MarkerFaceColor',[0 0.8 0]);
    hold on
end
plot(temperature, Red_flower_spec(:,1:3)./Red_flower_spec2(:,1:3),'color',[1 0.5 0])
hold on
plot(temperature561, Red_flower561_spec(:,1:2)./Red_flower561_spec2(:,1:2),'color',[0 0.8 0])
hold off

xlim([0 300])
xlabel('Temperature (K)')
ylabel('Ratio E_{2g}/A{1g}')
legend([pl1(1),pl2(1)],{'595nm','561nm'})

print(fg3,strcat(figurepath,'Figure4d.png'),'-dpng');


